Skip to main content
POST
/
api
/
playground
/
sessions
/
{session_id}
/
dry-run-bias
Dry Run Bias
curl --request POST \
  --url https://api.example.com/api/playground/sessions/{session_id}/dry-run-bias \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "target_column": "<string>",
  "protected_columns": [
    "<string>"
  ],
  "max_rows": 20000
}
'
{
  "session_id": "<string>",
  "target_column": "<string>",
  "protected_columns": [
    "<string>"
  ],
  "evaluated_rows": 123,
  "hypotheses": [
    {
      "protected": "<string>",
      "target": "<string>",
      "association": 123,
      "strength": "<string>",
      "description": "<string>",
      "sample_counts": {}
    }
  ],
  "overall_risk": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Path Parameters

session_id
string
required

Cookies

antidote_session
string | null

Body

application/json
target_column
string
required
Minimum string length: 1
protected_columns
string[]
required
Minimum array length: 1
max_rows
integer
default:20000
Required range: 100 <= x <= 200000

Response

Successful Response

session_id
string
required
target_column
string
required
protected_columns
string[]
required
evaluated_rows
integer
required
hypotheses
DryRunHypothesis · object[]
required
overall_risk
string
required